FTextLabelNode
Keywords: com.fg.ftreenodes.FTextLabelNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.ftreenodes
Class FTextLabelNode

    java.lang.Object
      com.fg.ftree.FBasicNode
          com.fg.ftreenodes.FAbstractToggleNode
              com.fg.ftreenodes.FToggleNode
                  com.fg.ftreenodes.FToggleDataNode
                      com.fg.ftreenodes.FTextLabelNode

All Implemented Interfaces:
  FActionConstants, FNodeCellGUI, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

public class FTextLabelNode
extends FToggleDataNode

FTextLabelNode represents a toggle-node which exposes `FTextLabel` extra-control for displaying of the node value.

Version:
  2.0
Author:
  Felix Golubov
See Also:
  `FTextLabel`, `FTree`

Field Summary

Fields inherited from class com.fg.ftreenodes.FAbstractToggleNode
`TOGGLE_SELECTION_CHANGED`

Fields inherited from class com.fg.ftree.FBasicNode
`ALLOWS_CHILDREN, EDITABLE`

Fields inherited from interface com.fg.ftree.FActionConstants
`CHANGE_EXPANSION, DROP_SELECTION, EDIT_CELL, NO_ACTION, SELECT_NODE`

Constructor Summary
`FTextLabelNode(CommonSettings cs)`
`FTextLabelNode(CommonSettings cs, java.lang.String labelText, java.lang.Object value)`

Method Summary
`java.lang.Object` | `getExtraClassOrId()`

Methods inherited from class com.fg.ftreenodes.FToggleDataNode
`getValue, setValue`

Methods inherited from class com.fg.ftreenodes.FToggleNode
`getAssociate, getParameters, setAssociate`

Methods inherited from class com.fg.ftreenodes.FAbstractToggleNode
`cellClicked, createCellControl, getAllowsFlattening, getCellControlKey, getChildrenValidity, getFadedLabelImage, getFolderBackground, getFolderBarColor, getFolderColor, getLabelImage, getLabelText, getNodeValidity, getRealChildAt, getRealChildCount, getRowHeight, getSubstituteNode, insert, isFolderBarDecorated, isNodeSelectionAllowed, isPathSelected, isRadioUnselectable, isToggleEnabled, isToggleRadio, isToggleSelected, isToggleVisible, remove, setAllowsFlattening, setFolderBarDecorated, setLabelText, setNodeValidity, setParameters, setRadioUnselectable, setToggleEnabled, setToggleRadio, setToggleSelected, setToggleVisible, toString, updateCellControl, updateNode`

Methods inherited from class com.fg.ftree.FBasicNode
`add, children, getAllowsChildren, getChildAt, getChildCount, getFlag, getIndex, getParent, getPath, isEditable, isLeaf, moveContentTo, remove, removeFromParent, setAllowsChildren, setBranchEditable, setEditable, setFlag, setParent, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTextLabelNode

    public FTextLabelNode(CommonSettings cs)

### FTextLabelNode

    public FTextLabelNode(CommonSettings cs,
                          java.lang.String labelText,
                          java.lang.Object value)

Method Detail

### getExtraClassOrId

    public java.lang.Object getExtraClassOrId()

  Overrides:
    `getExtraClassOrId` in class `FToggleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD